<div class="thesis-item-wrapper">
    <div class="default">
        <div class="thesis-item" data-thesis-type="default">
            <div class="thesis-item__title">
                <div>
                    <div class="thesis-item__title-text">
                        {% if thesis.url %}
                            <a href="{{ thesis.url }}" class="thesis-link-title">
                                {% if isSingle %}
                                    <h1 class="thesis-link-title">{{ thesis.title | capitalize}}</h1>
                                {% else %}
                                    <h3 class="thesis-link-title">{{ thesis.title | capitalize}}</h3>
                                {% endif %}
                            </a>
                        {% else %}
                            {% if isSingle %}
                                <h1 class="thesis-link-title">{{ thesis.title | capitalize}}</h1>
                            {% else %}
                                <h3 class="thesis-link-title">{{ thesis.title | capitalize}}</h3>
                            {% endif %}
                        {% endif %}
                    </div>
                </div>
            </div>
            {% if thesis.source %}
                <div class="thesis-item__title-link">
                    <a href="{{ thesis.source }}" target="_blank"><span class="icon-quill thesis-item__title-icon"></span> {{ thesis.source }}</a>
                </div>
            {% endif %}
            <div class="thesis-item__content">
                {% for contentItem in thesis.content %}
                    {% if contentItem.type == 'text' %}
                        {% include 'views/content_type/text_type.html.twig' with {'content': contentItem.content.text} %}
                    {% elseif contentItem.type == 'bash' %}
                        {% include 'views/content_type/bash_type.html.twig' with {'content': contentItem.content.command} %}
                    {% elseif contentItem.type == 'css' %}
                        {% include 'views/content_type/css_type.html.twig' with {'content': contentItem.content.style} %}
                    {% elseif contentItem.type == 'php' %}
                        {% include 'views/content_type/php_type.html.twig' with {'content': contentItem.content.code} %}
                    {% elseif contentItem.type == 'html' %}
                        {% include 'views/content_type/php_type.html.twig' with {'content': contentItem.content.code} %}
                    {% endif %}
                {% endfor %}
            </div>
            {% if not isSingle %}
                <div class="thesis-item__btn-show btn-show-content"><i class="fa-solid fa-chevron-down"></i><i class="fa-solid fa-angle-up"></i></div>
            {% endif %}
        </div>
    </div>
</div>